daemon daemon/hald {
	need = system/bootmisc daemon/dbus;
	env PIDDIR=/var/run/hal;
	env DAEMONUSER=hal;
	env_file = /etc/default/hal;
	pid_file = ${PIDDIR}/hald.pid;
	stdall = /dev/null;
	script daemon = {
		if [ ! -d ${PIDDIR} ]
		then
			/bin/mkdir -p ${PIDDIR}
			chown ${DAEMONUSER}:${DAEMONUSER} ${PIDDIR}
		fi
		/usr/sbin/hald ${DAEMON_OPTS}
	};
}
